/*
 *  linux/ibcs/TESTS/sysi86.c
 *
 *  Copyright (C) 1994  Mike Jagdis (jaggy@purplet.demon.co.uk)
 *
 * $Id: sysi86.c,v 1.1.1.2 1994/02/23 17:23:04 mike Exp $
 * $Source: /var/CVS/ibcs/TESTS/sysi86.c,v $
 */

#include <sys/sysi86.h>
#include <stdio.h>


main(argc, argv)
	int	argc;
	char	*argv[];
{
	int	n;

	switch (atol(argv[1])) {
		case 0:
			sysi86(SI86FPHW, &n);
			printf("SI86FPHW gives %d\n", n);
			break;
		case 1:
			printf("SETNAME gives %d\n", sysi86(SETNAME, argv[2]));
			break;
		case 2:
			printf("STIME gives %d\n", sysi86(STIME, atol(argv[2])));
			break;
		case 3:
			printf("SI86MEM gives %d\n", sysi86(SI86MEM));
			break;
	}
}
